Skip to main content
PUT
/
v3.0
/
{ClientId}
/
payins
/
intents
/
{IntentId}
/
capture
/
{CaptureId}
/
disputes
/
{DisputeId}
/
decision
{   
    "Decision": "DEFENDED"
}
{
    "Id": "int_019c0e2f-1baa-73d9-9053-074ad2a50e79",
    "Amount": 20000,
    "AvailableAmountToSplit": 0,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "DISPUTED",
    "NextActions": "DEFEND, WIN_DISPUTE, LOSE_DISPUTE",
    "ExternalData": {
        "ExternalProcessingDate": 1769764498,
        "ExternalProviderReference": "dispute-stripe-1d55ff5f-87d0-4825-a766-52177bbc0a73",
        "ExternalMerchantReference": "dispute-order-4d351ba0-3987-408c-b12b-8af412432144",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019c0e2f-1bab-7443-901b-80d1baf20e46",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 10000,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019c0e2f-1bab-7443-901b-80d1baf20e47",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 10000,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769764494,
    "ExecutionDate": 1769764498,
    "Dispute": {
        "Id": "int_dispute_019c0e2f-2c25-753e-8301-3ff93d541358"
    },
    "Decision": "DEFENDED"
}
This endpoint allows you to track the outcome of an Intent Dispute by sending the Decision value. In the Intent object, the decision is reflected in the Disputes.Status value

Path parameters

IntentId
string
required
The unique identifier of the Intent.
CaptureId
string
required
The unique identifier of the Capture being disputed.
DisputeId
string
required
The unique identifier of the Intent Dispute.

Body parameters

Decision
string
required
Allowed values: DEFENDED, DISPUTED_WON, DISPUTED_LOSTThe outcome of the Dispute, which can be declared as one of the following values:
  • DEFENDED
  • DISPUTED_WON
  • DISPUTED_LOST

Responses

Id
string
The unique identifier of the intent.
Amount
integer
The full amount authorized in the Intent, which must equal the sum of the total amounts of all LineItems.
AvailableAmountToSplit
integer
The remaining amount of the Intent that can be split and transferred to the sellers’ wallets.
UnfundedAmount
integer
The amount needing to be settled to the Platform’s escrow wallet before the Intent Splits can be executed.
Currency
integer
The currency of the intent.
PlatformFees
integer
The amount of fees to be diverted to the platform’s Fees Wallet when the Intent is split. This value can be overridden when the Split is created.The PlatformFees value must the sum of all line item Seller.FeesAmount values.
Status
string
The status of the Intent, as declared by the platform through Intent Captures, Refunds (and reversals), or Disputes (and decisions). Where partial actions occur, the top-level Intent Status may differ from the Status of Intent LineItems.Intent Status values:
  • AUTHORIZED – The Intent Amount was authorized for acquisition by the PSP and can be captured or canceled.
  • PARTIALLY_CAPTURED – Part of the Intent Amount from one or more LineItems was captured. The other parts are either still available for capture or cancel.
  • CAPTURED – All of the Intent Amount was captured. Part of it may have been subsequently refunded or disputed.
  • CANCELLED – All of the Intent Amount was canceled.
  • REFUNDED – All of the CapturedAmount of all LineItems was refunded.
  • REFUND_REVERSED – The refund could not be completed and the funds were returned to the platform.
  • DISPUTED – All of the CapturedAmount of all LineItems was disputed.
  • DEFENDED – The dispute is being defended by the platform.
  • DISPUTED_WON – The dispute was resolved in favor of the platform.
  • DISPUTED_LOST – The dispute was resolved against the platform.
NextActions
string
The possible next actions on the intent.
ExternalData
object
Information about the dispute processed by the third-party PSP.
Buyer
object
Information about the buyer.
LineItems
array (object)
Information about the line items included in the intent action.
CreationDate
string
The date and time at which the Intent was created.
ExecutionDate
Unix timestamp
The date and time at which the Intent moved to AUTHORIZED.
Dispute
object
Information about the Dispute.
Decision
string
The outcome of the Dispute, which can be declared as one of the following values:
  • DEFENDED
  • DISPUTED_WON
  • DISPUTED_LOST
{
    "Id": "int_019c0e2f-1baa-73d9-9053-074ad2a50e79",
    "Amount": 20000,
    "AvailableAmountToSplit": 0,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "DISPUTED",
    "NextActions": "DEFEND, WIN_DISPUTE, LOSE_DISPUTE",
    "ExternalData": {
        "ExternalProcessingDate": 1769764498,
        "ExternalProviderReference": "dispute-stripe-1d55ff5f-87d0-4825-a766-52177bbc0a73",
        "ExternalMerchantReference": "dispute-order-4d351ba0-3987-408c-b12b-8af412432144",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019c0e2f-1bab-7443-901b-80d1baf20e46",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 10000,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019c0e2f-1bab-7443-901b-80d1baf20e47",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 10000,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769764494,
    "ExecutionDate": 1769764498,
    "Dispute": {
        "Id": "int_dispute_019c0e2f-2c25-753e-8301-3ff93d541358"
    },
    "Decision": "DEFENDED"
}
{   
    "Decision": "DEFENDED"
}